#include<bits/stdc++.h>
using namespace std;
int main()
{
    char c1,c2;
    cin >> c1 >> c2;
    int a,b;
    cin >> a >> b;
    if (abs(a-b)>1)
    {
        cout << "nemoguce";
        return 0;
    }
    if (a==b)
    {
        for (int i=0; i<a; i++)
            cout << c1 << c2;
        return 0;
    }
    if (a>b)
    {
        for (int i=0; i<b; i++)
            cout << c1 << c2;
        cout << c1;
        return 0;
    }
    for (int i=0; i<a; i++)
            cout << c2 << c1;
        cout << c2;
    return 0;
}